TICKIT_RENDERBUFFER_GOTO(3)

NAME
tickit_renderbuffer_goto, tickit_renderbuffer_ungoto - set or clear the virtual cursor position

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_goto(TickitRenderBuffer *rb, int line, int col);
    void tickit_renderbuffer_ungoto(TickitRenderBuffer *rb);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_goto() sets the virtual cursor position to the given line and column. This does not have to be within the bounds of either the buffer's extent, nor the clipping region. If it is moved outside of the clipping region, then no drawing operations will take effect, but the position will still be updated by these operations to check when it moves into the area of effect once more. This position is affected by the translation offset given by tickit_renderbuffer_translate().

tickit_renderbuffer_ungoto() clears the virtual cursor position. After this call, the position is no longer defined, and the cursor-relative output functions will not operate.

RETURN VALUE
These functions return no value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_get_cursorpos(3), tickit_renderbuffer_skip(3), tickit_renderbuffer_text(3), tickit_renderbuffer_erase(3), tickit_renderbuffer(7), tickit(7)